import type { LanguageFn } from 'highlight.js';
/**
 * Syntax Highlighting Code Language
 */
export declare class Language {
    readonly name: string;
    readonly fn: LanguageFn;
    readonly extensions: readonly string[];
    /**
     * @param name The name of the language
     * @param fn The function that highlights the code
     * @param extensions The file extensions that the language supports
     */
    constructor(name: string, fn: LanguageFn, extensions: readonly string[]);
    static readonly appleScript: Language;
    static readonly bash: Language;
    static readonly csharp: Language;
    static readonly c: Language;
    static readonly cpp: Language;
    static readonly css: Language;
    static readonly dart: Language;
    static readonly dockerfile: Language;
    static readonly fsharp: Language;
    static readonly go: Language;
    static readonly xml: Language;
    static readonly haskell: Language;
    static readonly json: Language;
    static readonly java: Language;
    static readonly javascript: Language;
    static readonly kotlin: Language;
    static readonly latex: Language;
    static readonly makefile: Language;
    static readonly markdown: Language;
    static readonly php: Language;
    static readonly perl: Language;
    static readonly python: Language;
    static readonly ruby: Language;
    static readonly rust: Language;
    static readonly scss: Language;
    static readonly sql: Language;
    static readonly scala: Language;
    static readonly svelte: Language;
    static readonly swift: Language;
    static readonly terraform: Language;
    static readonly typescript: Language;
    static readonly vba: Language;
    static readonly yaml: Language;
    static readonly zig: Language;
    static readonly allCases: readonly Language[];
}
